# -*- coding: utf-8 -*-
"""HW_lesson7.ipynb

Automatically generated by Colaboratory.

Original file is located at
    https://colab.research.google.com/drive/13jACl0mgm_g1nnNDcRcANcsD5IJW52AY
"""

class Square:
    def __init__(self, width, length, name="unk"):
      self.width = width
      self.length = length
      self.name = name

    def getSquare(self):
      return self.width*self.length

    def __repr__(self):
      return f'{self.name} {self.width}x{self.length}'


class Room(Square):
    def __init__(self, width, length, height):
      Square.__init__(self,  width, length, "Room")
      self.height = height
      self.wd = []

    def getRoomSquare(self):
      return 2 * self.height * (self.width + self.length)

    def addWD(self, w, h):
      self.wd.append(Square(w, h))

    def workSurface(self):
      new_square = self.getRoomSquare()
      for i in self.wd:
          new_square -= i.getSquare()
      return new_square

    def oboi(self, x, y):
      self.x = x
      self.y = y
      return self.x*self.y
      


arg1 = float(input('Введите длину '))
arg2 = float(input('Введите ширину '))
arg3 = float(input('Введите высоту'))

r1 = Room(arg1, arg2, arg3)

print(f'Площадь комнаты равна {r1.getRoomSquare()}')

okna = input('В комнате есть окна или двери (да/нет)? : ')
while okna != 'нет': 
  w = int(input('Введите ширину окна или двери: '))
  h = int(input('Введите длину окна или двери: '))
  r1.addWD(w , h)
  okna = input('Еще одно окно или дверь? (да/нет)? : ')
  

print(f'Площадь, которую необходимо оклеить с учетом окон и дверей:{r1.workSurface()}')

x = float(input('Введите ширину трубки обоев, указанную на упаковке: '))
y = float(input('Введите длину трубки обоевб указанную на упаковке: '))


print(f'Примерное количество трубок обоев: {r1.workSurface() / r1.oboi(x,y)}')

  

  



# r1 = Room(6, 3, 2.7) 
# print(r1.getRoomSquare()) # выведет 48.6
# r1.addWD(1, 1) 
# r1.addWD(1, 1)
# r1.addWD(1, 2)
# print(r1.workSurface())